Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Printing and Scanning with Canon Pixma/Pixus Series
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... , 17, 18, 19  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Wed Aug 06, 2014 10:43 pm    Post subject: Reply with quote

@Fitzcarraldo: you're using an antic ebuild!

I've just finished updating my overlay... I actually managed to forget about everything about cnijfilter. Now, I do remember that servicetools was an old issue, it is still a major one. I've managed to build servicetools with 2.70 and gcc:4.[45] if I recall well. It was over with gcc:4.6.

I updated my overlay using scarabeus idead to split core/drivers. So now cnijfilter-drivers-{2.[89],3.[0-9],4.[01]}0 build just fine and cnijfilter-3.[7-9]0 should compile with -servicetools -gtk and 4.[01]0 with -servicetools. Maybe +servicetools may compile with older <gcc:4.6! Somebody has to try.

The new news is that with abi_x86_{32,64}, there is no need for any app-emulation/emul-linux-x86-* cruft anymore, multilib will take care of that.
Maybe a cnijfilter-3.40 or older may be needed for very old drivers to function correctly. I will add if need be.

I cannot get cnijfilter-drivers-2.[67]0 compile at the moment because those two pkgs fails on aclocal src_prepare. I will try to fix at least 2.70 later, because I need it.

Check everything on my overlay. And read the commits if need be before asking support since there is none!
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1338
Location: United Kingdom

PostPosted: Thu Aug 07, 2014 1:55 am    Post subject: Reply with quote

tclover wrote:
@Fitzcarraldo: you're using an antic ebuild!

I know! But it works for me and I don't dare mess around with something that works. If it ever stops working, then I'll try the new approach of using split ebuilds (cnijfilter plus cnijfilter-drivers) for my MP510 and MP560 printers. At the moment they are both installed with different versions of the 'old' cnijfilter ebuild in different slots, and both work nicely.
_________________
Clevo W230SS: amd64, OpenRC, nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64, OpenRC, xf86-video-ati, dual booting with Win 7 Pro 64-bit.
KDE on both laptops.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Tue Aug 12, 2014 10:50 am    Post subject: Reply with quote

Fitzcarraldo wrote:
I know! But it works for me and I don't dare mess around with something that works. If it ever stops working, then I'll try the new approach of using split ebuilds (cnijfilter plus cnijfilter-drivers) for my MP510 and MP560 printers. At the moment they are both installed with different versions of the 'old' cnijfilter ebuild in different slots, and both work nicely.


I reverted that messy split because it requires too much maintenance! I introduced a new splitting scheme using USE flags (backends/drivers) instead which do not duplicate ebuilds.

You may consider updating your ebuilds... because the old ones were/was very messy. I know what I'm talking about because I messed with them. I updated them quite a bit... look at the commits on my overlay, aside from a very few splitting commits, the majority were for fixes/updates/clean up to make everything more simple/short/maintenable.

Well, I was offline for quite a few months, so I tried to use Sabayon/for-gentoo first... but I ended up by having nothing working becaue of many factors:
* compilers (If I remember correctly +servicetools can be built only with <gcc-4.6, I cannot compile cnijmon nor the new cnijmnt (same compile errors, the sources files are unchanged since the old days!) anymore);
* cnijlib/bjlib issue;
* dependencies (internal/external);
* etc...

Consider taking a look at the commits to see the mess it was. (I did not not have the very old ebuilds as the one you have!)

All in all, the new splitting scheme do not force anyone to use newer backends, although I will advise to to use them (and test them!) because Canon shi* hole is messy.

I don't think old cnijfilter/binary (linked to propriatary blobs (libs)) will work because of libpng. I have built cnijfilter-2.70/filter binary (cif${printer_name}) against libpng-1.6 which one can use to print images directly; and it just print >=22MiB garbage to stdout! ending up corupting my terminal!
So remains only the backends (usb/net)... which one can surely updates! I've just pulled cnijfilter-4.10 backends with new CUPS filers (cmdtocanon, cnijbe (net+usb)). cmtocanon CUPS filter support old printers!

% my old printer begin
Now my old printer do not print a single thing be it on windows(tm) with very old drivers/backends or on Gentoo box with old drivers/backens or with old drivers/new backends. I hardly managed to reset it, or rather stop the blinked led, but refuse to print anything. M$ windows(tm) does not threw `no carriedge' at me after resetting but nothing got printed nor the printer accept clean up commands.
Cups says jobs are done with old drivers/backends or with new backends. I don't remember the message with gutenprint. My old printer, although in very good shape has to be putted in the trash bin because Canon Inc. wants me to buy a new printer (which won't happen!).
% my old printer end

Too much hassle to get nothing... (other people can take advantage of it and use the new cleaner ebuilds...)

NOTE: some tips getting servicetools gui right for 2.70 http://sakurapup.browserloadofcoolness.com/viewtopic.php?f=25&t=2643&sid=70b6fe0bd71611f1230f1808025df424
and more... I cannot understand a single kanji.
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Tue Aug 12, 2014 11:07 am    Post subject: Reply with quote

One last thing, ABI=amd64 users *should* consider using my newest ebuilds as those have an abi_x86_32 fix. The issue is a hard coded `ARC=`getconf LONG_BIT`' in configure scripts when using spliting scheme with newer backends. So this fix Sabayon/for-gentoo with multilib amd64.
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
mgiritli
n00b
n00b


Joined: 22 Aug 2014
Posts: 6

PostPosted: Fri Aug 22, 2014 9:02 pm    Post subject: Reply with quote

Hi,

I have a pixma mx925 and I installed the driver net-print/cnijfilter-3.90, suitable for this machine. I am using the printer over wireless connection. However, I have no idea how to use cups system for this? I tried to "add printer" from the cups admin page but I don't see anything specific for the canon printer there and I guess that I am supposed to? Can you please tell me how to add this printer for cups?
Back to top
View user's profile Send private message
mgiritli
n00b
n00b


Joined: 22 Aug 2014
Posts: 6

PostPosted: Sat Aug 23, 2014 2:49 pm    Post subject: Reply with quote

So, it turns out that I had to start cups-browsed service as well. After that, cups detects the printer over the network. But when I try to print something, I get "can not locate printer" error message. It seems that I am not the only one with this error message when these printers are used wirelessly: https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/987212
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1338
Location: United Kingdom

PostPosted: Sat Aug 23, 2014 9:57 pm    Post subject: Reply with quote

mgiritli, have you tried the Gutenprint driver for your model, instead of the cnijfilter driver? Apparently net-print/gutenprint includes support for the Canon PIXMA MX925: http://gimp-print.sourceforge.net/p_Supported_Printers.php

In case it helps you with respect to the cnijfilter driver you have been trying, I sometimes use my Canon Pixma MP560 over WiFi with the appropriate cnijfilter driver and I also have the package net-print/cups-bjnp installed, although I have no idea if the Canon BJNP protocol is actually used. So you could try installing cups-bjnp to see if it makes a difference.

Code:
$ eix cups-bjnp
[I] net-print/cups-bjnp
     Available versions:  (~)1.1 (~)1.2.1
     Installed versions:  1.2.1(16:35:32 01/02/14)
     Homepage:            http://sourceforge.net/projects/cups-bjnp/
     Description:         CUPS backend for the canon printers using the proprietary USB over IP BJNP protocol

_________________
Clevo W230SS: amd64, OpenRC, nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64, OpenRC, xf86-video-ati, dual booting with Win 7 Pro 64-bit.
KDE on both laptops.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
mgiritli
n00b
n00b


Joined: 22 Aug 2014
Posts: 6

PostPosted: Mon Aug 25, 2014 11:19 am    Post subject: Reply with quote

Fitzcarraldo wrote:
mgiritli, have you tried the Gutenprint driver for your model, instead of the cnijfilter driver? Apparently net-print/gutenprint includes support for the Canon PIXMA MX925: http://gimp-print.sourceforge.net/p_Supported_Printers.php

In case it helps you with respect to the cnijfilter driver you have been trying, I sometimes use my Canon Pixma MP560 over WiFi with the appropriate cnijfilter driver and I also have the package net-print/cups-bjnp installed, although I have no idea if the Canon BJNP protocol is actually used. So you could try installing cups-bjnp to see if it makes a difference.

Code:
$ eix cups-bjnp
[I] net-print/cups-bjnp
     Available versions:  (~)1.1 (~)1.2.1
     Installed versions:  1.2.1(16:35:32 01/02/14)
     Homepage:            http://sourceforge.net/projects/cups-bjnp/
     Description:         CUPS backend for the canon printers using the proprietary USB over IP BJNP protocol


Thanks Fitzcarraldo, I'm already using it. It has some bugs here and there but at leaset it works. No fax tough.

There must be some problem with the ebuild of the canon drivers. It should work without problems over the net...
Back to top
View user's profile Send private message
chaoscommander
Tux's lil' helper
Tux's lil' helper


Joined: 15 Oct 2012
Posts: 80

PostPosted: Thu Oct 09, 2014 10:00 pm    Post subject: Reply with quote

And here comes another one. I appear to be the only fool trying to use a Pixma 2550 on Gentoo, or at least neither Google nor the forum search turned up anyone else. Here's how far I got so far: CUPS recognises the printer (or at least reports no error installing it). When I create a print job, the CUPS website shows that it's processing or even printing the job, but always stops after about a quarter page. The printer never makes a peep. I don't know if anything even gets sent to it. On previous tries I at least got the status LED to flash once...
I'm using Gutenprint 5.2.10 for Canon Pixma 2500 series, so exactly what I should need. I have LogLevel set to debug but there are no errors in cups/error_log.
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Sat Oct 11, 2014 12:03 am    Post subject: Reply with quote

chaoscommander wrote:
And here comes another one. I appear to be the only fool trying to use a Pixma 2550 on Gentoo, or at least neither Google nor the forum search turned up anyone else. Here's how far I got so far: CUPS recognises the printer (or at least reports no error installing it). When I create a print job, the CUPS website shows that it's processing or even printing the job, but always stops after about a quarter page. The printer never makes a peep. I don't know if anything even gets sent to it. On previous tries I at least got the status LED to flash once...
I'm using Gutenprint 5.2.10 for Canon Pixma 2500 series, so exactly what I should need. I have LogLevel set to debug but there are no errors in cups/error_log.


2550 what? There is ip2500 driver in the old cnijfilter-2.70 and mg2500 in cnijfilter-4.00. Which one you need?!

Seeb bug #130645 for more info. Hopefully, with the help of Evert (a lost gentoo user) and I, we ended up by making cnijfilter works without any emulation package. Check that bug for reference and help. So, you should get something working if guntenprint fails. If no cnijfilter package in my overlay satisfy the printer model, try googling the printer model to get what source file you should get. Writing a new ebuild is a matter of copying minus canon surprise.

Good luck!
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
chaoscommander
Tux's lil' helper
Tux's lil' helper


Joined: 15 Oct 2012
Posts: 80

PostPosted: Tue Oct 14, 2014 5:05 pm    Post subject: Reply with quote

tclover wrote:

2550 what? There is ip2500 driver in the old cnijfilter-2.70 and mg2500 in cnijfilter-4.00. Which one you need?!


Ah yeah, sorry. I have the MG2550. I accidentally just now discovered your bar-overlay (I didn't see the link in your signature but found it while actually looking for a howto:custom ebuilds) and am in the process of trying it out...
I have no idea why I didn't get how to do this sooner.

(cue Jeopardy music)

Code:
install: cannot stat ‘lproptions/lproptions-p200-4.00DE.txt’: No such file or directory
!!! dodoc: lproptions/lproptions-p200-4.00DE.txt does not exist
 * ERROR: net-print/cnijfilter-4.00::bar failed (install phase):
 *   dodoc failed

...
 * Working directory: '/var/tmp/portage/net-print/cnijfilter-4.00/work/cnijfilter-source-4.00-1'
 * S: '/var/tmp/portage/net-print/cnijfilter-4.00/work/cnijfilter-source-4.00-1'
 * QA Notice: file does not exist:
 *
 *      dodoc: lproptions/lproptions-p200-4.00DE.txt does not exist


:(

Should I open a separate thread for this or do you already know how to fix it?
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Tue Oct 14, 2014 10:38 pm    Post subject: Reply with quote

[quote="chaoscommander"]
tclover wrote:


Code:
install: cannot stat ‘lproptions/lproptions-p200-4.00DE.txt’: No such file or directory
!!! dodoc: lproptions/lproptions-p200-4.00DE.txt does not exist
 * ERROR: net-print/cnijfilter-4.00::bar failed (install phase):
 *   dodoc failed

...
 * Working directory: '/var/tmp/portage/net-print/cnijfilter-4.00/work/cnijfilter-source-4.00-1'
 * S: '/var/tmp/portage/net-print/cnijfilter-4.00/work/cnijfilter-source-4.00-1'
 * QA Notice: file does not exist:
 *
 *      dodoc: lproptions/lproptions-p200-4.00DE.txt does not exist


Indeed documentaion installation was not stable at all to say the list. I fixed it in a commit. You could have disabled doc USE flag to get going.
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
chaoscommander
Tux's lil' helper
Tux's lil' helper


Joined: 15 Oct 2012
Posts: 80

PostPosted: Wed Oct 15, 2014 11:56 am    Post subject: Reply with quote

Thanks for the quick fix! Installation completed successfully and I have a test page in my hands. :D
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Tue Nov 18, 2014 5:40 pm    Post subject: Reply with quote

Fitzcarraldo wrote:
... have you tried the Gutenprint driver for your model, instead of the cnijfilter driver? Apparently net-print/gutenprint includes support for the Canon PIXMA MX925: http://gimp-print.sourceforge.net/p_Supported_Printers.php

In case it helps you with respect to the cnijfilter driver you have been trying, I sometimes use my Canon Pixma MP560 over WiFi with the appropriate cnijfilter driver and I also have the package net-print/cups-bjnp installed, although I have no idea if the Canon BJNP protocol is actually used. So you could try installing cups-bjnp to see if it makes a difference.

Which one is recommended for the Canon PIXMA MX925 (920 series in general)?
There is
    net-print/gutenprint
    net-print/cups-bjnp
Also Canon itself has some Linux sources.

Btw. are there important tasks that can only be performed by the Windows driver, such as Cleaning or Calibration?

Has anyone tried accessing the scanner via network? Sane should also support the network scanner via bjnp like bjnp://192.168.1.150 in /etc/sane.d/pixma.conf.

PS.: I understand now that cnijfilters are the proprietary Canon drivers, right? Instead of custom building, some overlay provide that. bar-overlay seems to have the most complete ebuilds:
Code:
$ eix cnij
* net-print/cnijfilter [1]
     Available versions: 
     (2)    (~)2.60^m (~)2.70^m (~)2.80^fm (~)2.90^m
     (3)    (~)3.00^m (~)3.10^m (~)3.20^m (~)3.30^m (~)3.40^m (~)3.50^m (~)3.60^m (~)3.70^m (~)3.80^m (~)3.90^m
     (4)    (~)4.00^m (~)4.10^m
       {backends debug +doc +drivers e400 e510 e560 e600 e660 gtk ip100 ip1800 ip1900 ip2200 ip2500 ip2600 ip2700 ip2800 ip3300 ip3500 ip3600 ip4200 ip4300 ip4500 ip4600 ip4700 ip4800 ip6600d ip7200 ip7700 ip8700 ip90 ix6500 ix6700 ix6800 mg2200 mg2400 mg2500 mg3200 mg3500 mg4200 mg5100 mg5200 mg5400 mg5500 mg6100 mg6300 mg6400 mg6500 mg7100 mg8100 mp140 mp160 mp190 mp210 mp240 mp250 mp270 mp280 mp430 mp490 mp495 mp500 mp510 mp520 mp540 mp550 mp560 mp600 mp610 mp630 mp640 mx320 mx330 mx340 mx350 mx360 mx370 mx390 mx410 mx420 mx430 mx450 mx470 mx510 mx520 mx530 mx710 mx720 mx860 mx870 mx880 mx890 mx920 +net p200 servicetools +usb ABI_X86="32 64"}
     Homepage:            http://www.canon-europe.com/Support/
     Description:         Canon InkJet Printer Driver for Linux (Pixus/Pixma-Series)

[1] "bar" /var/lib/layman/bar-overlay
However I can't get that built. I tried:
Code:
$ USE="mx920 backends" emerge  -autv =net-print/cnijfilter-3.90
...
^
bjcupsmon_cups.c: In function ‘getPrinterStatus’:
bjcupsmon_cups.c:292:12: error: dereferencing pointer to incomplete type
    pRequest->request.op.operation_id = IPP_GET_PRINTER_ATTRIBUTES;
            ^
bjcupsmon_cups.c:293:12: error: dereferencing pointer to incomplete type
    pRequest->request.op.request_id   = 1;
            ^
bjcupsmon_cups.c:302:18: error: dereferencing pointer to incomplete type
     if (pResponse->request.status.status_code > IPP_OK_CONFLICT) {
                  ^
bjcupsmon_cups.c:314:34: error: dereferencing pointer to incomplete type
       strncpy(pStatus, pAttribute->values[0].string.text, bufSize);
                                  ^

3.90-1 is the version I am pointed to at the Canon site, so I tried that. Trying the latest:
Code:
$ USE="mx920 backends" emerge  -autv net-print/cnijfilter
...
!!! The ebuild selected to satisfy "net-print/cnijfilter" has unmet requirements.
- net-print/cnijfilter-4.10::bar USE="backends doc drivers gtk net usb -debug -e400 -e560 -ip2800 -ip8700 -ix6700 -ix6800 -mx470 -mx530 -servicetools" ABI_X86="64 -32"

  The following REQUIRED_USE flag constraints are unsatisfied:
    drivers? ( any-of ( ix6700 ix6800 ip2800 mx470 mx530 ip8700 e560 e400 ) )

  The above constraints are a subset of the following complete expression:
    any-of ( abi_x86_32 abi_x86_64 ) servicetools? ( gtk ) any-of ( drivers backends ) drivers? ( any-of ( ix6700 ix6800 ip2800 mx470 mx530 ip8700 e560 e400 ) ) backends? ( usb )
No MX925 in the requirements?
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Tue Nov 25, 2014 5:55 pm    Post subject: Reply with quote

I have net-print/cups-bjnp and configured the printer in the cups webinterface as:
Code:
Driver:   Canon PIXMA MX925 - CUPS+Gutenprint v5.2.10 (color, 2-sided printing)
Connection:   bjnp://192.168.8.206        or via DNS: bjnp://printer
Defaults:   job-sheets=none, none media=iso_a4_210x297mm sides=one-sided

However the first page always works, but after that I can't get any more pages to be printed:
Code:
"Failed to establish TCP connection to printer 192.168.8.206 port 8611"
The webinterface of the printer is online. I tried pausing/resuming the printer. I restarted the printer itself, I restarted cups. But nothing works, no page is printed anymore without restart of the desktop machine. Who's fault is this, gutenprint driver or bjnp?
The printer has some more interfaces such as IPP or even LPR.

I tried all those, IPP did not work as ipp://printer or ipps://printer.
However I got LPR working after some tries with different URLs: lpd://printer/queue
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Sat Nov 29, 2014 11:51 pm    Post subject: Reply with quote

Massimo B. wrote:
...
^
bjcupsmon_cups.c: In function ‘getPrinterStatus’:
bjcupsmon_cups.c:292:12: error: dereferencing pointer to incomplete type
pRequest->request.op.operation_id = IPP_GET_PRINTER_ATTRIBUTES;
^
bjcupsmon_cups.c:293:12: error: dereferencing pointer to incomplete type
pRequest->request.op.request_id = 1;
^
bjcupsmon_cups.c:302:18: error: dereferencing pointer to incomplete type
if (pResponse->request.status.status_code > IPP_OK_CONFLICT) {
^
bjcupsmon_cups.c:314:34: error: dereferencing pointer to incomplete type
strncpy(pStatus, pAttribute->values[0].string.text, bufSize);
^[/code]
3.90-1 is the version I am pointed to at the Canon site, so I tried that. Trying the latest:[code]$ USE="mx920 backends" emerge -autv net-print/cnijfilter
...


I guess if you took a sec to read the readme file (there is a lengthy one in the ebuild dir, well, it's not that lengthy but still... too lengthy.) you will know exactly why/when/how about that.
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Sun Nov 30, 2014 5:46 pm    Post subject: Reply with quote

Thanks. Trying to understand the README, building with drivers did not work with this package.use:
Code:
=net-print/cnijfilter-4.10 mx920 backends drivers
Code:
The following REQUIRED_USE flag constraints are unsatisfied:
    drivers? ( any-of ( ix6700 ix6800 ip2800 mx470 mx530 ip8700 e560 e400 ) )
Why? Since this USE="drivers" only puts the ppd file, don't I need this file for the MX925?
However I got it emerged with -drivers.
Now what printer connection should I use? Before emerging cnijfilter this connection worked but is very slow: lpd://printer/queue That means it takes minutes to print one page as if the printer gets new input for every line.
Canon itself points to the 3.90 version for the MX925, should I better use this version?
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Mon Dec 01, 2014 12:40 am    Post subject: Reply with quote

Massimo B. wrote:
Thanks. Trying to understand the README, building with drivers did not work with this package.use:
Code:
=net-print/cnijfilter-4.10 mx920 backends drivers
Code:
The following REQUIRED_USE flag constraints are unsatisfied:
    drivers? ( any-of ( ix6700 ix6800 ip2800 mx470 mx530 ip8700 e560 e400 ) )
Why? Since this USE="drivers" only puts the ppd file, don't I need this file for the MX925?
However I got it emerged with -drivers.


The answer is obvious if your read the output since there is no mx920 in that package and drivers USE flag is enabled.

Massimo B. wrote:
Now what printer connection should I use? Before emerging cnijfilter this connection worked but is very slow: lpd://printer/queue That means it takes minutes to print one page as if the printer gets new input for every line.
Canon itself points to the 3.90 version for the MX925, should I better use this version?


No idead. If you need a particular model ppd file, just grab from the appropriate tarball and put it in `/etc/cups/ppd' or something. And then, you can use virtually any package for backends. You better get a new one than an older one (reference: package which have the printer model requested).

Again, the README file should suffice to guide you on those basic steps.
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
Small_Penguin
Tux's lil' helper
Tux's lil' helper


Joined: 27 May 2005
Posts: 136

PostPosted: Tue Dec 02, 2014 6:23 pm    Post subject: Reply with quote

Fitzcarraldo wrote:
Small_Penguin wrote:
Same problem here. After updating to cups-1.7.3, my pixma ip4300 is still recognized, but it doesn't print. LED is blinking once or twice, and cups says everything's done. Gutenprint works, but only with 300x300 dpi, and even then the borders don't seem to be correct (lower part is cut off a bit).

Anyone got cups-1.7.3 and cnijfilter-2.70 working?

cnijfilter-2.70-r4 (my version of it in a local overlay, anyway) is working with cups-1.7.3 for me, but I don't have your model of Canon printer; I'm using cnijfilter-2.70-r4 with a Canon MP510.


Fitzcarraldo, thank you, you saved my day! I finally got around to try your 2.70-r4 ebuild (from this forum post, not the one from your overlay) together with the app-emulation/emul-linux-x86-bjdeps-0.1-r4 and cups-2.0.1-r1, and everything works perfectly now.

I have set USE="usb" for cups, and will have to try whether it works without (as it says), because that would go better with my custom ink notification script that uses libusb.

Edit: It works with USE="-usb" too. With usb it seems cups temporarily unloads the kernel module usblp while printing, with -usb it doesn't have to. I can finally use cups-2.0.1!
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Fri Dec 05, 2014 1:22 pm    Post subject: Reply with quote

No way, I can't get the net-print/cnijfilter working. 4.10 builds but does not provide a ppd for my MX925. Using the ppd from the 3.90 tar-ball from Canon I can't get it working with this configuration:
Quote:
Driver: Canon MX920 series Ver.3.90 (color, 2-sided printing)
Connection: lpd://printer/queue

After sending a testpage nothing happens and the status is Idle - "Data file sent successfully."

The 3.90 ebuild does not compile, with lots of errors I can't get a hint in the documentation:
Code:
bjcupsmon_cups.c:690:28: error: dereferencing pointer to incomplete type
       if (strcmp(pAttribute->name, "device-uri") == 0 && pAttribute->value_tag == IPP_TAG_URI) {
                            ^
bjcupsmon_cups.c:690:28: error: dereferencing pointer to incomplete type
       if (strcmp(pAttribute->name, "device-uri") == 0 && pAttribute->value_tag == IPP_TAG_URI) {
                            ^

With the current configuration
Quote:
Driver: Canon PIXMA MX925 - CUPS+Gutenprint v5.2.10 (color, 2-sided printing)
Connection: lpd://printer/queue
The first page is working but very slowly, then the printer accepts printing without errors but nothing is moving.
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Fri Dec 05, 2014 2:24 pm    Post subject: Reply with quote

Even restarting the printer or restarting cupsd does not help, the printer jobs are just accepted but nothing happens. I have this configuration now using net-print/cups-bjnp-2.0:
Quote:
Driver: Canon MX920 series Ver.3.90 (color, 2-sided printing)
Connection: bjnp://printer:8611

Port 8611 I read in some forum posts. But still the printer does not print. The State in the cups webinterface is
Quote:
processing since
Fri 05 Dec 2014 03:23:39 PM CET
"Connected to printer..."
..after that:
Quote:
Idle - "Ready to print."

_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Fri Dec 05, 2014 2:59 pm    Post subject: Reply with quote

Some progress. Playing around with /usr/libexec/cups/backend/bjnp I see some blocks of the local firewall:
Code:
Shorewall:home2fw:DROP:IN=wlan0 OUT= MAC=00:15:e9:4b:4a:f0:f4:81:39:95:ae:2c:08:00 SRC=192.168.8.206 DST=192.168.8.203 LEN=60 TOS=0x00 PREC=0x00 TTL=64 ID=64350 PROTO=UDP SPT=8611 DPT=8611 LEN=40
Weird, but I must accept incoming UDP 8611. Now bjnp finds the printer:
Code:
$ /usr/libexec/cups/backend/bjnp
network bjnp://printer.fritz.box:8611 "Canon MX920 series" "Canon MX920 series printer.fritz.box" "MFG:Canon;CMD:BJL,BJRaster3,BSCCe,NCCe,IVEC,IVECPLI;SOJ:BJNP2,BJNPe;MDL:MX920 series;CLS:PRINTER;DES:Canon MX920 series;VER:2.061;STA:10;FSI:0F;HRI:D;MSI:DAT,E3,H2FSF,JTIME,K20000700;PDR:4;PSE:ADJX20175;CID:CA_IVEC1TYPE4_IJP;"
..and cups interface even offers now some new
Quote:
Discovered Network Printers: Canon MX920 series printer.fritz.box (Canon MX920 series)
..resulting in some equal connection on the next page: Connection: bjnp://printer.fritz.box:8611

But the same result. After
Quote:
processing since
Fri 05 Dec 2014 03:47:52 PM CET
"Connected to printer.fritz.box..."
nothing happens. /var/log/cups/access_log has:
Code:
localhost - - [05/Dec/2014:15:47:52 +0100] "POST /printers/Canon_PIXMA_MX925 HTTP/1.1" 200 349892 Print-Job successful-ok
bjnp_log and page_log are empty. error_log only has some new lines at restart:
Code:
E [05/Dec/2014:15:59:09 +0100] Missing value on line 287.
W [05/Dec/2014:15:59:09 +0100] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [05/Dec/2014:15:59:09 +0100] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [05/Dec/2014:15:59:09 +0100] CreateDevice failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
E [05/Dec/2014:15:59:09 +0100] Unable to open listen socket for address [v1.::1]:631 - Address family not supported by protocol.

Switching back to the gutenprint driver, the testpage printing works again, now also with the bjnp:// protocol.
But still the cnijfilter-4.10 does not work, and the 3.90 version does but build.
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
Anon-E-moose
Advocate
Advocate


Joined: 23 May 2008
Posts: 2781
Location: Dallas area

PostPosted: Fri Dec 05, 2014 3:24 pm    Post subject: Reply with quote

I do use an older version of cups, as I haven't bothered to upgrade.
But when I was setting up my network printer I set a specific ip address
as cups wouldn't print anything to it when it was an auto assigned address
even though it said it was successful in the access log.
Never did figure out why.

I use only cups, cups-bjnp and gutenprint. Works well for me (Canon mg 8200).
_________________
Asus m5a99fx, FX 8320 - amd64-multilib, 4.11.7-zen, glibc-2.21, gcc-4.9.4, eudev
xorg-server-1.19.4 w/mesa-17.1.8, openbox, nouveau and radeon, oss4(2017)
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 512

PostPosted: Fri Dec 05, 2014 7:27 pm    Post subject: Reply with quote

Massimo B. wrote:
...
The 3.90 ebuild does not compile, with lots of errors I can't get a hint in the documentation:
Code:
bjcupsmon_cups.c:690:28: error: dereferencing pointer to incomplete type
       if (strcmp(pAttribute->name, "device-uri") == 0 && pAttribute->value_tag == IPP_TAG_URI) {
                            ^
bjcupsmon_cups.c:690:28: error: dereferencing pointer to incomplete type
       if (strcmp(pAttribute->name, "device-uri") == 0 && pAttribute->value_tag == IPP_TAG_URI) {
                            ^

With the current configuration
Quote:
Driver: Canon PIXMA MX925 - CUPS+Gutenprint v5.2.10 (color, 2-sided printing)
Connection: lpd://printer/queue
The first page is working but very slowly, then the printer accepts printing without errors but nothing is moving.


So you're trying to compile a gtk interface for monitoring which is buggy and cannot be compiled with recent GCC.

net-print/cnijfilter/README wrote:
So cnijfilter-{2.[6-9],3.[0-9]}0[-servicetools,-gtk] is compilable while
cnijfilter-4.[01]0[-servicetools,+gtk] compile just fine!


And those files are from `cnijfilter-source-3.90-1/cngpijmon/src' directory that are included in the build with:
Code:
pkg_setup() {
...
   if use gtk; then
      CNIJFILTER_SRC+=" cngpij"
      if [[ ${PV:0:1} == 4 ]]; then
         PRINTER_SRC+=" lgmon2"
         use net && PRINTER_SRC+=" cnijnpr"
      else
         PRINTER_SRC+=" lgmon cngpijmon"
         use_if_iuse net && PRINTER_SRC+=" cngpijmon/cnijnpr"
      fi
   fi
...
}


I had to go dig out those for you. I cannot possibly do that every time for each person who happen to grab those ebuilds. Hence the README file.
How many RTFM I have to... I guess none. I'm leaving the rest to you...
_________________
home/:mkinitramfs-ll/:supervision(-scripts)/:e-gtk-theme/:(bar-)overlay/
Back to top
View user's profile Send private message
Massimo B.
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1479
Location: Germany

PostPosted: Sat Dec 06, 2014 1:25 pm    Post subject: Reply with quote

Thanks for clarifying, I didn't think about Gtk with that bjcupsmon_cups.c, now I understand its kind of a gui...not asking what it does.
USE="-gtk" makes it build fine now. However I tried building with some old x11-libs/gtk+-1.2.10-r12 which failes the same way.

The printer works now. Feels more reliable and especially faster than the gutenprint driver, eventhough I usually prefer open source solutions and drivers hoping the Canon drivers are maintained or at least compilable in the next years.

Though Cups it is sometimes reporting that it cannot connect to the printer after being idle for a while, it starts printing soon.. Thank you.
_________________
ppc:PowerBook5,8 15"(1440)-G4/1.67,2G Ram|amd64:HP EliteBook 8560w,i7-2620M,16G Ram|amd64:Acer Z5610 (Core2QuadQ8200),8G Ram|amd64-prefix:OpenSuse
Lila-Theme
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... , 17, 18, 19  Next
Page 18 of 19

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum